/* InfoWindow Styles */
.partner-info__content a:not(.twike-button) {
  color: var(--wp--preset--color--primary) !important;
  text-decoration: underline !important;
}

.gm-style .gm-style-iw {
  font-family: var(--wp--preset--font-family--titillium) !important;
  padding: 0 !important;
  width: 300px !important;
}

.gm-style .gm-style-iw-d {
  overflow: hidden !important;
  padding: 0 !important;
  width: 300px !important;
}

.gm-style .gm-style-iw-c {
  border-radius: 1rem !important;
  padding: 0 !important;
  width: 300px !important;
  max-width: 300px !important;
}

.gm-style .gm-style-iw-t::after {
  display: none !important;
}

/* Custom InfoWindow Close Button */
.gm-style-iw-chr {
  height: 0 !important;
}

.gm-ui-hover-effect {
  position: absolute !important;
  top: 10px !important;
  right: 8px !important;
  width: 24px !important;
  height: 24px !important;
}

.gm-ui-hover-effect > span {
  width: 24px !important;
  height: 24px !important;
  margin: 0 !important;
}

.partner-info__header {
  width: calc(100% - 32px);
}

/* Text Overflow Handling */
.line-clamp-2 {
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
}

.line-clamp-3 {
  display: -webkit-box;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
  overflow: hidden;
}